{if isset($error)}
	<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$error}</div>
{/if}
{if isset($success)}
	<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$success}</div>
{/if}
{if isset($results)}
	{foreach $results as $result}
		{if $result.error != ''}
			<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$result.error}</div>
		{/if}
		{if $result.success != ''}
			<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$result.success}</div>
		{/if}
	{/foreach}
{/if}
<div class="row">
	<h3 class="col-md-9">
		Artikel mit Preiskonfigurationen
	</h3>
	<div class="col-md-3 actions text-right">
		<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=addArtikel" class="btn btn-primary right"><i class="fa fa-plus"></i> Neue Artikel-Preiskonfiguration</a>
	</div>
</div>

{if $artikel|@count < 1}
	<div class="alert alert-danger"><i class="fa fa-info-circle"></i> Es wurden noch keine Artikel Preiskonfigurationen angelegt.</div>
{else}
<div class="table-responsive">
	<table class="list table">
		<tr>
			<th>ArtNr.</th>
			<th>Artikel</th>
			<th>Basis</th>
			<th class="text-right">Aktionen</th>
		</tr>
		{foreach $artikel as $a}
			<tr>
				<td>{$a->cArtNr}</td>
				<td>{$a->cName}</td>
				<td>{if $a->berechnungsBasis==1}Brutto{else}Netto{/if}</td>
				<td class="text-right">
					<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=editArtikel&amp;kArtikel={$a->kArtikel}" class="btn btn-default" title="Bearbeiten">
						<i class="fa fa-edit"></i>
					</a>
					<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=duplicate&amp;kArtikel={$a->kArtikel}" class="btn btn-default" title="Duplizieren">
						<i class="fa fa-clone"></i>
					</a>
					<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=fields&amp;kArtikel={$a->kArtikel}" class="btn btn-primary" title="Felder bearbeiten">
						<i class="fa fa-bars"></i>
					</a>
					<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=manipulations&amp;kArtikel={$a->kArtikel}" class="btn btn-primary" title="Preiskonfigurationen">
						<i class="fa fa-cogs"></i>
					</a>
					<a href="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=delArtikel&amp;kArtikel={$a->kArtikel}" class="btn btn-danger" title="Entfernen" 
						onclick="return confirm('Diese Preiskonfiguration wirklich entfernen?');">
						<i class="fa fa-trash"></i>
					</a>
				</td>
			</tr>
		{/foreach}
	</table>
</div>
{/if}