var km_preis_config;
if($('#km_preis_data').length)
{
	var itsok=true;
	try
	{
		km_preis_config = JSON.parse($('#km_preis_data').html());
	} catch(e) {
		console.log('JavaScript Fehler in der globalen Preiskonfiguration.');
		itsok=false;
	}
	
	if(itsok)
	{
		if(km_preis_config.showBrutto)
			km_preis_config.basePrice = getNetto(km_preis_config.basePrice);
		$(document).on('evo:changed.article.price',function(args){
			setBasePrice();
			checkPrice();
		});
		$(document).on('evo:contentLoaded',function(args){
			registerInputs();
			window.setTimeout(function(){
				setBasePrice();
				checkPrice();
			},500);
		});
		
		registerInputs();
		setBasePrice();
		checkPrice();
	}
}

function registerInputs()
{
	$('.km_preise_input[type=range]').on('change',function(){
		$(this).parent().find('span.rangevalue').html($(this).val());
	});
	$('.km_preise_input, #quantity').on('change',function(){
		checkPrice();
	});
	
	//Alte Felder - Shop3/Hypnos
	$('[name*=eigenschaftwert_]').on('change',function(){
		window.setTimeout(function(){
			checkPrice();
		},500);
	});
}


function setBasePrice()
{
	var price = $(km_preis_config.price).text();
	price = parseFloat(price.replace(km_preis_config.waehrung.cNameHTML,'').trim().replace(km_preis_config.waehrung.cTrennzeichenTausend,'').replace(km_preis_config.waehrung.cTrennzeichenCent,'.'));
	if(km_preis_config.showBrutto)
		price = getNetto(price);
	km_preis_config.basePrice = price;
}
function getBrutto(price)
{
	return price * ((100 + parseFloat(km_preis_config.mwst)) / 100);
}

function getNetto(price)
{
	return price / ((100 + parseFloat(km_preis_config.mwst)) / 100);
}
function getEigenschaftValue(x)
{
	//First find the Element!
	var elem = $('[name=eigenschaftwert\\['+x+'\\]]');
	if(elem.length != 1)
		elem = $('[name=eigenschaftwert_'+x+']');
	if(elem.length != 1)
		elem = $('[name=eigenschaftwert\\['+x+'\\]]:selected');
	if(elem.length != 1)
		elem = $('[name=eigenschaftwert_'+x+']:selected');
	if(elem.length != 1)
		elem = $('[name=eigenschaftwert\\['+x+'\\]]:checked');
	if(elem.length != 1)
		elem = $('[name=eigenschaftwert_'+x+']:checked');
	
	if(!elem.length == 1)
		return 0;
	
	return $(elem).val();
}

function checkPrice()
{
	if(!km_preis_config.manipulations) return false;
	
	var price = km_preis_config.basePrice;
	var priceFormatted;
	var data;
	var doIt;
	var wert;
	if(!price) return false;
	
	//Jetzt alle Prüflogiken durchgehen
	for(var x=0; x < km_preis_config.manipulations.length; x++)
	{
		data = false;
		try
		{
			data = JSON.parse(km_preis_config.manipulations[x].formel);
		} catch(e) {
			console.log('JavaScript Fehler in der Formel, bitte mathematischen Ausdruck pruefen');
		}
		if(data)
		{
			doIt = (data.type==1) ? true : false;
			if(!data.if) doIt = true;
			else
			{
				//Bedingungen prüfen
				for(i in data.if)
				{
					wert = 0;
					if(data.if[i].eigenschaft > 0)
						wert = getEigenschaftValue(data.if[i].eigenschaft);
					else if(data.if[i].eigenschaft == -1)
						wert = calculateFormel(data.if[i].eigenschaft_formel,price);
					else
						continue;
					
					if(!wert) wert = 0;
					
					value = (data.if[i].eigenschaft_wert) ? data.if[i].eigenschaft_wert : data.if[i].eigenschaft_value;
					
					wert = parseFloat(wert);
					value = parseFloat(value);
					
					if(data.if[i].eigenschaft_if == '=')
					{
						if(parseFloat(wert) == parseFloat(value))
						{
							if(data.type==0)
								doIt = true;
						} else {
							if(data.type==1)
								doIt = false;
						}
					}
					if(data.if[i].eigenschaft_if == '<')
					{
						if(parseFloat(wert) < parseFloat(value))
						{
							if(data.type==0)
								doIt = true;
						} else {
							if(data.type==1)
								doIt = false;
						}
					}
					if(data.if[i].eigenschaft_if == '>')
					{
						if(parseFloat(wert) > parseFloat(value))
						{
							if(data.type==0)
								doIt = true;
						} else {
							if(data.type==1)
								doIt = false;
						}
					}
				}
			}
			
			//Aktionen durchführen
			if(doIt && data.aktion)
			{
				for(i in data.aktion)
				{
					if(data.aktion[i].type == 1)
					{
						//Preis anpassen
						switch(data.aktion[i].preis_type)
						{
							case "0":
								//Fester Aufpreis
								price = price + parseFloat(data.aktion[i].preis_wert);
								break;
							case "1":
								//Prozentualer Aufpreis
								price = price + (price / 100 * data.aktion[i].preis_wert);
								break;
							case "2":
								//Formelberechnung
								price = calculateFormel(data.aktion[i].preis_formel,price);
								break;
							default:
								//Unbekannte Berechnung
								price = price;
						}
					} else if(data.aktion[i].type == 2)
					{
						//Feld befüllen
						wert = "";
						if(data.aktion[i].field_type == 1)
						{
							wert = calculateFormel(data.aktion[i].field_formel,price);
							if(data.aktion[i].field_suffix != "")
								wert = String(wert) + data.aktion[i].field_suffix;
							if(data.aktion[i].field_praefix != "")
								wert = data.aktion[i].field_praefix + String(wert);
							
						} else
							wert = data.aktion[i].field_value;
						$('[name=eigenschaftwert\\['+data.aktion[i].field_input+'\\]]').val(wert);
						$('[name=eigenschaftwert_'+data.aktion[i].field_input+']').val(wert);
					} else if(data.aktion[i].type == 3)
					{
						$(km_preis_config.hideSelektor.replace('%s',data.aktion[i].verstecken)).hide();
					} else if(data.aktion[i].type == 4)
					{
						$(km_preis_config.hideSelektor.replace('%s',data.aktion[i].verstecken)).show();
					}
				}
			}
		}
	}
	
	//Brutto ausgabe?
	if(km_preis_config.showBrutto)
		price = getBrutto(price);
	
	//Preis formatieren
	priceFormatted = price.toFixed(2).toString().replace('.',km_preis_config.waehrung.cTrennzeichenCent);
	if(price >= 1000)
	{
		priceFormatted = priceFormatted.substr(0,priceFormatted.length-6)+km_preis_config.waehrung.cTrennzeichenTausend+priceFormatted.substr(priceFormatted.length-6);
	}
	if(km_preis_config.waehrung.cVorBetrag == 'N')
		priceFormatted = priceFormatted + " " + km_preis_config.waehrung.cNameHTML;
	else
		priceFormatted = km_preis_config.waehrung.cNameHTML + " " + priceFormatted;
	$(km_preis_config.price).html(priceFormatted);
}

function calculateFormel(formel,price)
{
	var quantity;
	try
	{
		quantity = parseFloat($('#quantity').val());
		formel = formel.replace('##price##',price);
		formel = formel.replace('##quantity##',quantity);
		formel = formel.replace('RUNDEN(','Math.round(');
		formel = formel.replace('AUFRUNDEN(','Math.floor(');
		formel = formel.replace('ABRUNDEN(','Math.ceil(');
		formel = formel.replace(/##e\:([0-9]*)##/i,function(x,y,z) {
			return getEigenschaftValue(y);
		});
		if(formel.includes('##'))
			formel = calculateFormel(formel,price);
			console.log(formel);
		return eval(formel);
	} catch(e) {
		console.log('Bitte mathematischen Ausdruck der Formel pruefen');
		return 0;
	}
}